(***********************************************************************)
(*                                                                     *)
(*                         Caml Special Light                          *)
(*                                                                     *)
(*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         *)
(*                                                                     *)
(*  Copyright 1995 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

(* optcompile.mli,v 1.2 1995/08/09 15:02:05 xleroy Exp *)

(* Compile a .ml or .mli file *)

val interface: string -> unit
val implementation: string -> unit
val c_file: string -> unit

val initial_env: unit -> Env.t
val init_path: unit -> unit
